﻿
using System;
using System.Web;
using System.IO;
using Wisej.Web;

namespace UploadTest
{
    public partial class Window1 : Form
    {
        string strFileUploadPath;
        Stream InputStream;
        string FileName;
        public Window1()
        {
            InitializeComponent();
        }

        private void Window1_Load(object sender, EventArgs e)
        {
            string strExeDir = Path.GetDirectoryName(Application.ExecutablePath);

            //remove //bin and save un levelup
            string[] remove = { "\\bin" };
            string pathSaveUploadedFile = strExeDir;

            foreach (string item in remove)
                if (pathSaveUploadedFile.EndsWith(item))
                {
                    pathSaveUploadedFile = pathSaveUploadedFile.Substring(0, pathSaveUploadedFile.LastIndexOf(item));
                    break; //only allow one match at most
                }

            strFileUploadPath = pathSaveUploadedFile + "\\Uploaded_Files\\";
        }

        
        private void upload1_Uploaded(object sender, UploadedEventArgs e)
        {
            InputStream = e.Files[0].InputStream;
            FileName = e.Files[0].FileName;
        }

        private void SaveStreamAsFile(string filePath, Stream inputStream, string fileName)
        {
            //validation each saved file because another process could delete 
            //the directory
            DirectoryInfo info = new DirectoryInfo(filePath);
            if (!info.Exists)
            {
                info.Create();
            }

            string path = Path.Combine(filePath, fileName);
            inputStream.Position = 0;

            using (FileStream outputFileStream = new FileStream(path, FileMode.OpenOrCreate))
            {
                inputStream.CopyTo(outputFileStream);
            }
                
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //Stream stream = e.Files[0].InputStream;
            //SaveStreamAsFile(strFileUploadPath, e.Files[0].InputStream, e.Files[0].FileName);
            SaveStreamAsFile(strFileUploadPath, InputStream, FileName);
        }

        private void upload1_Click(object sender, EventArgs e)
        {
            
        }
 
    }
}
